org.apache.olingo.commons.api.edm.geo

## Enum Geospatial.Type

- java.lang.Object
- - java.lang.Enum<Geospatial.Type>
  - - org.apache.olingo.commons.api.edm.geo.Geospatial.Type

- All Implemented Interfaces:
    Serializable, Comparable<Geospatial.Type>
  Enclosing class:
    Geospatial

      public static enum Geospatial.Type
      extends Enum<Geospatial.Type>

  Type of the geospatial type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GEOSPATIALCOLLECTION` The OGIS geometry type number for feature collections.
    `LINESTRING` The OGIS geometry type number for lines.
    `MULTILINESTRING` The OGIS geometry type number for aggregate lines.
    `MULTIPOINT` The OGIS geometry type number for aggregate points.
    `MULTIPOLYGON` The OGIS geometry type number for aggregate polygons.
    `POINT` The OGIS geometry type number for points.
    `POLYGON` The OGIS geometry type number for polygons.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Geospatial.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Geospatial.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POINT

          public static final Geospatial.Type POINT

      The OGIS geometry type number for points.

    - #### LINESTRING

          public static final Geospatial.Type LINESTRING

      The OGIS geometry type number for lines.

    - #### POLYGON

          public static final Geospatial.Type POLYGON

      The OGIS geometry type number for polygons.

    - #### MULTIPOINT

          public static final Geospatial.Type MULTIPOINT

      The OGIS geometry type number for aggregate points.

    - #### MULTILINESTRING

          public static final Geospatial.Type MULTILINESTRING

      The OGIS geometry type number for aggregate lines.

    - #### MULTIPOLYGON

          public static final Geospatial.Type MULTIPOLYGON

      The OGIS geometry type number for aggregate polygons.

    - #### GEOSPATIALCOLLECTION

          public static final Geospatial.Type GEOSPATIALCOLLECTION

      The OGIS geometry type number for feature collections.

  - ### Method Detail

    - #### values

          public static Geospatial.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Geospatial.Type c : Geospatial.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Geospatial.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.